import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy } from '@angular/core';
import { RxPush } from '@rx-angular/template/push';
import { I18nComponent } from '@smallstack/i18n-components';
import { B as BaseViewWidgetComponent } from './smallstack-data-widgets-base-view-widget.component-19f20763.mjs';
import '@smallstack/utils';
import '@smallstack/widget-core';
import 'rxjs';

class I18nViewWidgetComponent extends BaseViewWidgetComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.8", ngImport: i0, type: I18nViewWidgetComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.8", type: I18nViewWidgetComponent, isStandalone: true, selector: "smallstack-i18n-view-widget", usesInheritance: true, ngImport: i0, template: "<smallstack-i18n [data]=\"model$\"></smallstack-i18n>\n", dependencies: [{ kind: "component", type: I18nComponent, selector: "smallstack-i18n", inputs: ["data", "showMissingKey", "replacers", "locale", "translationStore"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.8", ngImport: i0, type: I18nViewWidgetComponent, decorators: [{
            type: Component,
            args: [{ selector: "smallstack-i18n-view-widget", standalone: true, imports: [I18nComponent, RxPush], changeDetection: ChangeDetectionStrategy.OnPush, template: "<smallstack-i18n [data]=\"model$\"></smallstack-i18n>\n" }]
        }] });

export { I18nViewWidgetComponent };
//# sourceMappingURL=smallstack-data-widgets-i18n-view-widget.component-7c590413.mjs.map
