import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy } from '@angular/core';
import { RxPush } from '@rx-angular/template/push';
import { OverlayComponent } from '@smallstack/common-components';
import { WidgetRendererComponent } from '@smallstack/widget-core';
import { B as BaseViewWidgetComponent } from './smallstack-data-widgets-base-view-widget.component-19f20763.mjs';
import '@smallstack/utils';
import 'rxjs';

class ObjectViewWidgetComponent extends BaseViewWidgetComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.8", ngImport: i0, type: ObjectViewWidgetComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.8", type: ObjectViewWidgetComponent, isStandalone: true, selector: "smallstack-object-view-widget", usesInheritance: true, ngImport: i0, template: "<span class=\"border-dashed border-b cursor-pointer\" (click)=\"overlay.openOverlay()\">Details</span>\n<smallstack-overlay #overlay>\n  <div class=\"card card-bordered bg-white shadow-lg p-1 overflow-auto\">\n    <smallstack-widget-renderer\n      [widget]=\"{ name: 'DefaultDetailsView' }\"\n      [context]=\"context$ | push\"\n    ></smallstack-widget-renderer>\n  </div>\n</smallstack-overlay>\n", dependencies: [{ kind: "component", type: OverlayComponent, selector: "smallstack-overlay", inputs: ["hasBackdrop"] }, { kind: "component", type: WidgetRendererComponent, selector: "smallstack-widget-renderer", inputs: ["widget", "additionalProviders", "context", "class"], outputs: ["widgetChange"] }, { kind: "pipe", type: RxPush, name: "push" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.8", ngImport: i0, type: ObjectViewWidgetComponent, decorators: [{
            type: Component,
            args: [{ selector: "smallstack-object-view-widget", standalone: true, imports: [OverlayComponent, WidgetRendererComponent, RxPush], changeDetection: ChangeDetectionStrategy.OnPush, template: "<span class=\"border-dashed border-b cursor-pointer\" (click)=\"overlay.openOverlay()\">Details</span>\n<smallstack-overlay #overlay>\n  <div class=\"card card-bordered bg-white shadow-lg p-1 overflow-auto\">\n    <smallstack-widget-renderer\n      [widget]=\"{ name: 'DefaultDetailsView' }\"\n      [context]=\"context$ | push\"\n    ></smallstack-widget-renderer>\n  </div>\n</smallstack-overlay>\n" }]
        }] });

export { ObjectViewWidgetComponent };
//# sourceMappingURL=smallstack-data-widgets-object-view-widget.component-04b2f171.mjs.map
