import { AxiosApiClient, CalendarEntryDto } from "@smallstack/axios-api-client";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class CalendarWidgetComponent extends BaseWidgetComponent {
    private axiosApiClient;
    calendarEntries: CalendarEntryDto[];
    private startDate;
    private endDate;
    constructor(axiosApiClient: AxiosApiClient);
    changedVisibleRange(event: {
        start: number;
        end: number;
    }): Promise<void>;
    loadEvents(data: any): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CalendarWidgetComponent, "calendar-widget", never, {}, {}, never, never, true, never>;
}
