import * as i0 from '@angular/core';
import { Directive } from '@angular/core';
import { filterNullish } from '@smallstack/utils';
import { BaseWidgetComponent } from '@smallstack/widget-core';
import { map } from 'rxjs';

class BaseViewWidgetComponent extends BaseWidgetComponent {
    constructor() {
        super(...arguments);
        this.model$ = this.context$.pipe(filterNullish(), map((context) => context.model));
        this.schema$ = this.context$.pipe(filterNullish(), map((context) => context.schema));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.8", ngImport: i0, type: BaseViewWidgetComponent, deps: null, target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.8", type: BaseViewWidgetComponent, usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.8", ngImport: i0, type: BaseViewWidgetComponent, decorators: [{
            type: Directive
        }] });

export { BaseViewWidgetComponent as B };
//# sourceMappingURL=smallstack-data-widgets-base-view-widget.component-19f20763.mjs.map
