import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy } from '@angular/core';
import { RxPush } from '@rx-angular/template/push';
import { LinkedModelsComponent } from '@smallstack/link-components';
import { B as BaseViewWidgetComponent } from './smallstack-data-widgets-base-view-widget.component-19f20763.mjs';
import '@smallstack/utils';
import '@smallstack/widget-core';
import 'rxjs';

class LinksViewWidgetComponent extends BaseViewWidgetComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.8", ngImport: i0, type: LinksViewWidgetComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.8", type: LinksViewWidgetComponent, isStandalone: true, selector: "smallstack-links-view-widget", usesInheritance: true, ngImport: i0, template: "<smallstack-linked-models width=\"list\" [links]=\"context$ | push\"></smallstack-linked-models>\n", dependencies: [{ kind: "component", type: LinkedModelsComponent, selector: "smallstack-linked-models", inputs: ["width", "editable", "typeTags", "linkableTypes", "links", "showPopoutLink"], outputs: ["linksChange"] }, { kind: "pipe", type: RxPush, name: "push" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.8", ngImport: i0, type: LinksViewWidgetComponent, decorators: [{
            type: Component,
            args: [{ selector: "smallstack-links-view-widget", standalone: true, imports: [LinkedModelsComponent, RxPush], changeDetection: ChangeDetectionStrategy.OnPush, template: "<smallstack-linked-models width=\"list\" [links]=\"context$ | push\"></smallstack-linked-models>\n" }]
        }] });

export { LinksViewWidgetComponent };
//# sourceMappingURL=smallstack-data-widgets-links-view-widget.component-fe14053c.mjs.map
