import { SocketDto } from "@smallstack/axios-api-client";
import { LazyLoadingWidgetConfiguration } from "@smallstack/widget-core";
export declare const DATA_SOURCE_STORE = "store";
export declare const DATA_SOURCE_DATATYPE = "dataType";
export declare const DATA_SOURCE_CONTEXT = "context";
export declare const SocketNames: {
    openCreationDialog: string;
};
export declare const SOCKETS: SocketDto[];
export declare enum DataTableRenderTypes {
    RAW = "raw",
    I18N = "i18n",
    ICON = "icon",
    IMAGE = "image",
    DATE = "date",
    STORE_PROPERTY = "storeProperty",
    QR_CODE = "qrCode",
    DIALOG = "dialog",
    LINK = "link",
    BOOLEAN = "boolean",
    MARKDOWN = "markdown",
    GOOGLE_MAP = "googleMap"
}
export declare const Configuration: LazyLoadingWidgetConfiguration;
