import { AxiosApiClient } from "@smallstack/axios-api-client";
import { TokenService, UrlResolverService } from "@smallstack/common-components";
import { NotificationService } from "@smallstack/i18n-components";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class HttpRequestBtnWidgetComponent extends BaseWidgetComponent {
    private tokenService;
    private notificationService;
    private urlResolverService;
    private axiosApiClient;
    constructor(tokenService: TokenService, notificationService: NotificationService, urlResolverService: UrlResolverService, axiosApiClient: AxiosApiClient);
    executeMethod(): () => Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<HttpRequestBtnWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HttpRequestBtnWidgetComponent, "http-request-btn-widget", never, {}, {}, never, never, true, never>;
}
