import { InlineTranslation } from "@smallstack/i18n-shared";
import { FrontendTypeRegistry, RxCollectionService } from "@smallstack/typesystem-client";
import { Observable } from "rxjs";
import { BaseViewWidgetComponent } from "../base-view-widget.component";
import * as i0 from "@angular/core";
interface SelectViewModel {
    label: InlineTranslation | string;
    linkedModel?: any;
    schema?: any;
}
export declare class SelectViewWidgetComponent extends BaseViewWidgetComponent {
    private rxCollectionService;
    private frontendTypeRegistry;
    protected value$: Observable<SelectViewModel>;
    constructor(rxCollectionService: RxCollectionService, frontendTypeRegistry: FrontendTypeRegistry);
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectViewWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectViewWidgetComponent, "smallstack-select-view-widget", never, {}, {}, never, never, true, never>;
}
export {};
